Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041244
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 16:262019-08-25 06:50
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionb7f39107115c
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041244: DocFINPayment.createFact is not using bind-params

DescriptionSeveral HQL in this method are not using bind-params.

When fixing please apply new HQL-style to all HQL in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041435 closedcollazoandy4 Apply HQL style guide to DocFINPayment 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113621)
collazoandy4 (developer)
2019-07-24 16:19

Test Plan
  Go to Financial Account window and select Cuenta de Banco record
    Select Transferencia record in Payment Method tab
      Fill out the Upon Receipt Use and Upon Reconciliation Use fields
  Create a new Sales Invoice for Alimentos y Supermercados, S.A
    Complete the invoice and Add a Payment
  Go to the Payment created and post it, check the process ends without errors
(0114123)
hgbot (developer)
2019-08-22 13:31

Repository: erp/devel/pi
Changeset: b7f39107115cdfced0808271c0f3af598a600cfb
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 00:50:29 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/b7f39107115cdfced0808271c0f3af598a600cfb [^]

Fixes issue 41244: DocFINPayment.createFact is not using bind-params

Added missing bind-params

---
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
---
(0114124)
Sandrahuguet (developer)
2019-08-22 13:32

code review + testing ok
(0114258)
hudsonbot (developer)
2019-08-25 06:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2915449dde15 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:26 shuehner New Issue
2019-07-02 16:26 shuehner Assigned To => Triage Finance
2019-07-02 16:26 shuehner Modules => Core
2019-07-02 16:26 shuehner Triggers an Emergency Pack => No
2019-07-02 16:26 shuehner Relationship added blocks 0038136
2019-07-04 12:16 shuehner Target Version => 3.0PR19Q4
2019-07-23 16:16 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:16 collazoandy4 Status new => scheduled
2019-07-24 16:19 collazoandy4 Note Added: 0113621
2019-08-22 12:57 Sandrahuguet Relationship added related to 0041435
2019-08-22 13:31 hgbot Checkin
2019-08-22 13:31 hgbot Note Added: 0114123
2019-08-22 13:31 hgbot Status scheduled => resolved
2019-08-22 13:31 hgbot Resolution open => fixed
2019-08-22 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b7f39107115cdfced0808271c0f3af598a600cfb [^]
2019-08-22 13:32 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-22 13:32 Sandrahuguet Note Added: 0114124
2019-08-22 13:32 Sandrahuguet Status resolved => closed
2019-08-22 13:32 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-25 06:50 hudsonbot Checkin
2019-08-25 06:50 hudsonbot Note Added: 0114258


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker